/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.Constante;
import com.rjconsultores.ventaboletos.entidad.TipoOcupacion;

import java.util.List;

public interface ConstanteService extends GenericService<Constante, Integer> {

    public Constante buscarPorNomeConstante(String nomeConstante);

    public List<Constante> buscar(String nombconstante);

	String buscarNombreAmbiente();

	boolean pafActivo();

	String buscarURLPainelBPe();

	String buscarNomeConstanteURLPainelBPe();
	
	 public List<Constante> buscarPorNomeConstanteLike(String nomeConstante);

	public String buscarURLAPI();

	public Integer buscarValorConstantePorNomeConstante(String nomeConstante);

	public String buscarURLAPIEmb();

	public List<TipoOcupacion> BuscarTipoOcupacaoSemValidacao();
	
	public Boolean buscarValorConstantePorNomeConstanteBoolean(String nomeConstante);
}
